///////////////////////////////////////////////////////////////////
// Содержит настройки сценария для сортировки блока состав 
// конкретного файла
//
// (с) BIA Technologies, LLC	
//
///////////////////////////////////////////////////////////////////

Перем ИмяЭлемента;                      // имя (или паттерн) для определения элемента
Перем РазделительЭлементов;             // разделитель элементов между собой
Перем РодительскийЭлемент;              // родительский элемент, внутри которого осуществляетсяя поиск
Перем РодительскийЭлементЗавершение;	// Завершение родительского элемента, если отличается от начала
Перем ОтступРодительскогоЭлемента;      // отступ родительского элемента от начала строки
Перем ШаблонПоискаСостава;              // Шаблон (регулярное выражение) для поиска блока, содержащего состав 
                                        // для сортировки
Перем ШаблонПоискаЭлементов;            // Шаблон (регулярное выражение) для поиска элементов внутри блока с составом
Перем ИмеетАтрибуты;                    // Признак-подсказка о наличии атрибутов у элемента
Перем ИмяВложенного;                    // Имя вложенного тега в теге элемента

Процедура ПриСозданииОбъекта(ПараметрИмяЭлемента)
	ИмяЭлемента = ПараметрИмяЭлемента;
	РазделительЭлементов = Символы.ПС;
	РодительскийЭлемент = "";
	ОтступРодительскогоЭлемента = "";
	ШаблонПоискаСостава = "";
	ШаблонПоискаЭлементов = "";
	ИмеетАтрибуты = Ложь;
	ИмяВложенного = "";
КонецПроцедуры

Процедура УстановитьРазделительЭлементов(Разделитель) Экспорт
	РазделительЭлементов = Символы.ПС + Разделитель;
КонецПроцедуры

Процедура УстановитьРодительскийЭлемент(Имя, Отступ, ИмяЗавершение = "") Экспорт
	РодительскийЭлемент = Имя;
	ОтступРодительскогоЭлемента = Отступ;
	Если ПустаяСтрока(ИмяЗавершение) Тогда
		РодительскийЭлементЗавершение = РодительскийЭлемент;
	Иначе
		РодительскийЭлементЗавершение = ИмяЗавершение;
	КонецЕсли;
КонецПроцедуры

Процедура УставитьШаблоныПоиска(ШаблонСостава, ШаблонЭлементов) Экспорт
	ШаблонПоискаСостава = ШаблонСостава;
	ШаблонПоискаЭлементов = ШаблонЭлементов;
КонецПроцедуры

Функция ШаблонПоискаСостава() Экспорт
	Возврат РегулярныеВыражения.Создать(ШаблонПоискаСостава);
КонецФункции

Функция ШаблонПоискаЭлементов() Экспорт
	Возврат ШаблонПоискаЭлементов;
КонецФункции

Функция ИмяЭлемента() Экспорт
	Возврат ИмяЭлемента;
КонецФункции

Функция РазделительЭлементов() Экспорт
	Возврат РазделительЭлементов;
КонецФункции

Функция ЕстьРодительскийЭлемент() Экспорт
	Возврат ЗначениеЗаполнено(РодительскийЭлемент);
КонецФункции

Функция РодительскийЭлемент() Экспорт
	Возврат Новый Структура("Отступ, Имя, Завершение", 
		ОтступРодительскогоЭлемента, РодительскийЭлемент, РодительскийЭлементЗавершение);
КонецФункции

Процедура УстановитьЕстьАтрибуты() Экспорт
	ИмеетАтрибуты = Истина;
КонецПроцедуры

Функция САтрибутами() Экспорт
	Возврат ИмеетАтрибуты;
КонецФункции

Процедура УстановитьИмяВложенного(Имя) Экспорт
	ИмяВложенного = Имя;
КонецПроцедуры

Функция ЕстьВложенный() Экспорт
	Возврат ЗначениеЗаполнено(ИмяВложенного);
КонецФункции

Функция ИмяВложенного() Экспорт
	Возврат ИмяВложенного;
КонецФункции
